Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.server
Class Server

    java.lang.Object
      org.mortbay.jetty.plus.Server
          com.atlassian.bamboo.server.Server

    public class Server

extends org.mortbay.jetty.plus.Server

This class uses Jetty to run the Bamboo web server.

You can run the user by passing the port and webapp directory into the constructor, or pass a jetty configuration file from the command line. Having this lets us execute the jar from the command line

Field Summary
`static String` | `DEFAULT_JETTY_CONFIG`

Constructor Summary
`Server(int port, String webAppDir, String contextPathSpec)` Instantiate the server without using a jetty configuration file.
`Server(String string)` Instantiate the server using a jetty configuration file.

Method Summary
`ServletContext` | `getWebApp()` Provide access to the Bamboo web application context.
`static void` | `main(String[] args)` Used by the Java Service Wrapper to run the program.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_JETTY_CONFIG

    public static final String DEFAULT_JETTY_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### Server

    public Server(int port,
                  String webAppDir,
                  String contextPathSpec)
           throws IOException

  Instantiate the server without using a jetty configuration file.

  Parameters:
    `port` - The port bamboo is listening on
    `webAppDir` - The location of the bamboo webapp files
    `contextPathSpec` - The context path spec. Which must be of the form / or /path/*
  Throws:
    `IOException`

### Server

    public Server(String string)
           throws IOException

  Instantiate the server using a jetty configuration file.

  Parameters:
    `string` - Location of the Jetty config file
  Throws:
    `IOException`

Method Detail

### main

    public static void main(String[] args)

  Used by the Java Service Wrapper to run the program.

  Parameters:
    `args` - The arguments contained in the conf/wrapper.conf file

### getWebApp

    public ServletContext getWebApp()

  Provide access to the Bamboo web application context.

  Used for acceptance testing

  Returns:
    The web app context÷

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.